/**
 * Creates a file pattern matcher function
 * @param patterns - Glob patterns to match files
 * @returns A function that returns true if the file matches the patterns
 */
declare function createPatternMatcher(patterns?: string | string[]): (fileName: string) => boolean;

export { createPatternMatcher };
